Bug 17568 - Add the Koha::Patron->library method
Summary: Add the Koha::Patron->library method
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 17569
  Show dependency treegraph
 
Reported: 2016-11-07 14:31 UTC by Jonathan Druart
Modified: 2017-12-07 22:16 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17568: Add the Koha::Patron->library method (1.94 KB, patch)
2016-11-07 14:32 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17568: Add the Koha::Patron->library method (2.01 KB, patch)
2016-11-07 19:55 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 17568: Add the Koha::Patron->library method (2.05 KB, patch)
2016-12-01 13:06 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-11-07 14:31:18 UTC

    
Comment 1 Jonathan Druart 2016-11-07 14:32:52 UTC
Created attachment 57261 [details] [review]
Bug 17568: Add the Koha::Patron->library method

This method will be convenient when moving code to Koha::Patrons

Test plan:
  prove t/db_dependent/Koha/Patrons.t
should return green
Comment 2 Josef Moravec 2016-11-07 19:55:07 UTC
Created attachment 57280 [details] [review]
[SIGNED-OFF] Bug 17568: Add the Koha::Patron->library method

This method will be convenient when moving code to Koha::Patrons

Test plan:
  prove t/db_dependent/Koha/Patrons.t
should return green

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 3 Julian Maurice 2016-12-01 13:06:08 UTC
Created attachment 57859 [details] [review]
Bug 17568: Add the Koha::Patron->library method

This method will be convenient when moving code to Koha::Patrons

Test plan:
  prove t/db_dependent/Koha/Patrons.t
should return green

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 4 Julian Maurice 2016-12-01 13:08:06 UTC
Trivial patch. Tests pass.
Passed QA
Comment 5 Kyle M Hall 2016-12-16 12:01:53 UTC
Pushed to master for 17.05, thanks Jonathan!
Comment 6 Katrin Fischer 2016-12-18 20:40:51 UTC
This won't get backported to 16.11.x as it is an enhancement.